#651 closed defect (fixed)

task_ident may not detect null return pointer for id

Reported by: Joel Sherrill Owned by: Joel Sherrill
Priority: highest Milestone: 2
Component: score Version: 4.6
Severity: critical Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

task_ident checks for self and then will use *id without checking if id is null. Other idents fall directly into the common routine which checks for NULL id.

Release:
4.6 and CVS

Environment:
All.

Attachments (1)

pr651.diff (517 bytes) - added by Joel Sherrill on Dec 3, 2006 at 1:31:13 PM.
pr651.diff

Download all attachments as: .zip

Change History (2)

comment:1 Changed on Jul 14, 2004 at 1:32:32 PM by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: Attached patch applied to 4.6 and CVS trunk.

2004-07-14 Joel Sherrill <joel@…>

PR 651/core

  • src/taskident.c: Add NULL check for id.

Changed on Dec 3, 2006 at 1:31:13 PM by Joel Sherrill

Attachment: pr651.diff added

pr651.diff

Note: See TracTickets for help on using tickets.